org.apache.poi.hwpf.model.types

## Class FibRgLw97AbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.FibRgLw97AbstractType

- Direct Known Subclasses:
    FibRgLw97

      @Internal
      public abstract class FibRgLw97AbstractType
      extends java.lang.Object

  The FibRgLw97 structure is the third section of the FIB. This contains an array of 4-byte values.

  Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

  NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

  This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

  Author:
    Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_1_cbMac`
    `protected int` | `field_10_ccpTxbx`
    `protected int` | `field_11_ccpHdrTxbx`
    `protected int` | `field_12_reserved4` Deprecated.
    `protected int` | `field_13_reserved5` Deprecated.
    `protected int` | `field_14_reserved6` Deprecated.
    `protected int` | `field_15_reserved7` Deprecated.
    `protected int` | `field_16_reserved8` Deprecated.
    `protected int` | `field_17_reserved9` Deprecated.
    `protected int` | `field_18_reserved10` Deprecated.
    `protected int` | `field_19_reserved11` Deprecated.
    `protected int` | `field_2_reserved1` Deprecated.
    `protected int` | `field_20_reserved12` Deprecated.
    `protected int` | `field_21_reserved13` Deprecated.
    `protected int` | `field_22_reserved14` Deprecated.
    `protected int` | `field_3_reserved2` Deprecated.
    `protected int` | `field_4_ccpText`
    `protected int` | `field_5_ccpFtn`
    `protected int` | `field_6_ccpHdd`
    `protected int` | `field_7_reserved3` Deprecated.
    `protected int` | `field_8_ccpAtn`
    `protected int` | `field_9_ccpEdn`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FibRgLw97AbstractType()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `protected void` | `fillFields(byte[] data, int offset)`
    `int` | `getCbMac()` Specifies the count of bytes of those written to the WordDocument stream of the file that have any meaning.
    `int` | `getCcpAtn()` A signed integer that specifies the count of CPs in the comment subdocument.
    `int` | `getCcpEdn()` A signed integer that specifies the count of CPs in the endnote subdocument.
    `int` | `getCcpFtn()` A signed integer that specifies the count of CPs in the footnote subdocument.
    `int` | `getCcpHdd()` A signed integer that specifies the count of CPs in the header subdocument.
    `int` | `getCcpHdrTxbx()` A signed integer that specifies the count of CPs in the textbox subdocument of the header.
    `int` | `getCcpText()` A signed integer that specifies the count of CPs in the main document.
    `int` | `getCcpTxbx()` A signed integer that specifies the count of CPs in the textbox subdocument of the main document.
    `int` | `getReserved1()` This value is undefined and MUST be ignored.
    `int` | `getReserved10()` This value is undefined and MUST be ignored.
    `int` | `getReserved11()` This value is undefined and MUST be ignored.
    `int` | `getReserved12()` This value SHOULD be zero, and MUST be ignored.
    `int` | `getReserved13()` This value MUST be zero and MUST be ignored.
    `int` | `getReserved14()` This value MUST be zero and MUST be ignored.
    `int` | `getReserved2()` This value is undefined and MUST be ignored.
    `int` | `getReserved3()` This value is undefined and MUST be ignored.
    `int` | `getReserved4()` This value is undefined and MUST be ignored.
    `int` | `getReserved5()` This value is undefined and MUST be ignored.
    `int` | `getReserved6()` This value MUST be equal or less than the number of data elements in PlcBteChpx, as specified by FibRgFcLcb97.fcPlcfBteChpx and FibRgFcLcb97.lcbPlcfBteChpx.
    `int` | `getReserved7()` This value is undefined and MUST be ignored.
    `int` | `getReserved8()` This value is undefined and MUST be ignored.
    `int` | `getReserved9()` This value MUST be less than or equal to the number of data elements in PlcBtePapx, as specified by FibRgFcLcb97.fcPlcfBtePapx and FibRgFcLcb97.lcbPlcfBtePapx.
    `static int` | `getSize()` Size of record
    `int` | `hashCode()`
    `byte[]` | `serialize()`
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setCbMac(int field_1_cbMac)` Specifies the count of bytes of those written to the WordDocument stream of the file that have any meaning.
    `void` | `setCcpAtn(int field_8_ccpAtn)` A signed integer that specifies the count of CPs in the comment subdocument.
    `void` | `setCcpEdn(int field_9_ccpEdn)` A signed integer that specifies the count of CPs in the endnote subdocument.
    `void` | `setCcpFtn(int field_5_ccpFtn)` A signed integer that specifies the count of CPs in the footnote subdocument.
    `void` | `setCcpHdd(int field_6_ccpHdd)` A signed integer that specifies the count of CPs in the header subdocument.
    `void` | `setCcpHdrTxbx(int field_11_ccpHdrTxbx)` A signed integer that specifies the count of CPs in the textbox subdocument of the header.
    `void` | `setCcpText(int field_4_ccpText)` A signed integer that specifies the count of CPs in the main document.
    `void` | `setCcpTxbx(int field_10_ccpTxbx)` A signed integer that specifies the count of CPs in the textbox subdocument of the main document.
    `void` | `setReserved1(int field_2_reserved1)` This value is undefined and MUST be ignored.
    `void` | `setReserved10(int field_18_reserved10)` This value is undefined and MUST be ignored.
    `void` | `setReserved11(int field_19_reserved11)` This value is undefined and MUST be ignored.
    `void` | `setReserved12(int field_20_reserved12)` This value SHOULD be zero, and MUST be ignored.
    `void` | `setReserved13(int field_21_reserved13)` This value MUST be zero and MUST be ignored.
    `void` | `setReserved14(int field_22_reserved14)` This value MUST be zero and MUST be ignored.
    `void` | `setReserved2(int field_3_reserved2)` This value is undefined and MUST be ignored.
    `void` | `setReserved3(int field_7_reserved3)` This value is undefined and MUST be ignored.
    `void` | `setReserved4(int field_12_reserved4)` This value is undefined and MUST be ignored.
    `void` | `setReserved5(int field_13_reserved5)` This value is undefined and MUST be ignored.
    `void` | `setReserved6(int field_14_reserved6)` This value MUST be equal or less than the number of data elements in PlcBteChpx, as specified by FibRgFcLcb97.fcPlcfBteChpx and FibRgFcLcb97.lcbPlcfBteChpx.
    `void` | `setReserved7(int field_15_reserved7)` This value is undefined and MUST be ignored.
    `void` | `setReserved8(int field_16_reserved8)` This value is undefined and MUST be ignored.
    `void` | `setReserved9(int field_17_reserved9)` This value MUST be less than or equal to the number of data elements in PlcBtePapx, as specified by FibRgFcLcb97.fcPlcfBtePapx and FibRgFcLcb97.lcbPlcfBtePapx.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_cbMac

          protected int field_1_cbMac

    - #### field_2_reserved1

          @Deprecated
          protected int field_2_reserved1

      Deprecated.

    - #### field_3_reserved2

          @Deprecated
          protected int field_3_reserved2

      Deprecated.

    - #### field_4_ccpText

          protected int field_4_ccpText

    - #### field_5_ccpFtn

          protected int field_5_ccpFtn

    - #### field_6_ccpHdd

          protected int field_6_ccpHdd

    - #### field_7_reserved3

          @Deprecated
          protected int field_7_reserved3

      Deprecated.

    - #### field_8_ccpAtn

          protected int field_8_ccpAtn

    - #### field_9_ccpEdn

          protected int field_9_ccpEdn

    - #### field_10_ccpTxbx

          protected int field_10_ccpTxbx

    - #### field_11_ccpHdrTxbx

          protected int field_11_ccpHdrTxbx

    - #### field_12_reserved4

          @Deprecated
          protected int field_12_reserved4

      Deprecated.

    - #### field_13_reserved5

          @Deprecated
          protected int field_13_reserved5

      Deprecated.

    - #### field_14_reserved6

          @Deprecated
          protected int field_14_reserved6

      Deprecated.

    - #### field_15_reserved7

          @Deprecated
          protected int field_15_reserved7

      Deprecated.

    - #### field_16_reserved8

          @Deprecated
          protected int field_16_reserved8

      Deprecated.

    - #### field_17_reserved9

          @Deprecated
          protected int field_17_reserved9

      Deprecated.

    - #### field_18_reserved10

          @Deprecated
          protected int field_18_reserved10

      Deprecated.

    - #### field_19_reserved11

          @Deprecated
          protected int field_19_reserved11

      Deprecated.

    - #### field_20_reserved12

          @Deprecated
          protected int field_20_reserved12

      Deprecated.

    - #### field_21_reserved13

          @Deprecated
          protected int field_21_reserved13

      Deprecated.

    - #### field_22_reserved14

          @Deprecated
          protected int field_22_reserved14

      Deprecated.

  - ### Constructor Detail

    - #### FibRgLw97AbstractType

          protected FibRgLw97AbstractType()

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### serialize

          public byte[] serialize()

    - #### getSize

          public static int getSize()

      Size of record

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCbMac

          @Internal
          public int getCbMac()

      Specifies the count of bytes of those written to the WordDocument stream of the file that have any meaning. All bytes in the WordDocument stream at offset cbMac and greater MUST be ignored..

    - #### setCbMac

          @Internal
          public void setCbMac(int field_1_cbMac)

      Specifies the count of bytes of those written to the WordDocument stream of the file that have any meaning. All bytes in the WordDocument stream at offset cbMac and greater MUST be ignored..

    - #### getReserved1

          @Internal
          public int getReserved1()

      This value is undefined and MUST be ignored.

    - #### setReserved1

          @Internal
          public void setReserved1(int field_2_reserved1)

      This value is undefined and MUST be ignored.

    - #### getReserved2

          @Internal
          public int getReserved2()

      This value is undefined and MUST be ignored.

    - #### setReserved2

          @Internal
          public void setReserved2(int field_3_reserved2)

      This value is undefined and MUST be ignored.

    - #### getCcpText

          @Internal
          public int getCcpText()

      A signed integer that specifies the count of CPs in the main document. This value MUST be zero, 1, or greater.

    - #### setCcpText

          @Internal
          public void setCcpText(int field_4_ccpText)

      A signed integer that specifies the count of CPs in the main document. This value MUST be zero, 1, or greater.

    - #### getCcpFtn

          @Internal
          public int getCcpFtn()

      A signed integer that specifies the count of CPs in the footnote subdocument. This value MUST be zero, 1, or greater.

    - #### setCcpFtn

          @Internal
          public void setCcpFtn(int field_5_ccpFtn)

      A signed integer that specifies the count of CPs in the footnote subdocument. This value MUST be zero, 1, or greater.

    - #### getCcpHdd

          @Internal
          public int getCcpHdd()

      A signed integer that specifies the count of CPs in the header subdocument. This value MUST be zero, 1, or greater.

    - #### setCcpHdd

          @Internal
          public void setCcpHdd(int field_6_ccpHdd)

      A signed integer that specifies the count of CPs in the header subdocument. This value MUST be zero, 1, or greater.

    - #### getReserved3

          @Internal
          public int getReserved3()

      This value is undefined and MUST be ignored.

    - #### setReserved3

          @Internal
          public void setReserved3(int field_7_reserved3)

      This value is undefined and MUST be ignored.

    - #### getCcpAtn

          @Internal
          public int getCcpAtn()

      A signed integer that specifies the count of CPs in the comment subdocument. This value MUST be zero, 1, or greater.

    - #### setCcpAtn

          @Internal
          public void setCcpAtn(int field_8_ccpAtn)

      A signed integer that specifies the count of CPs in the comment subdocument. This value MUST be zero, 1, or greater.

    - #### getCcpEdn

          @Internal
          public int getCcpEdn()

      A signed integer that specifies the count of CPs in the endnote subdocument. This value MUST be zero, 1, or greater.

    - #### setCcpEdn

          @Internal
          public void setCcpEdn(int field_9_ccpEdn)

      A signed integer that specifies the count of CPs in the endnote subdocument. This value MUST be zero, 1, or greater.

    - #### getCcpTxbx

          @Internal
          public int getCcpTxbx()

      A signed integer that specifies the count of CPs in the textbox subdocument of the main document. This value MUST be zero, 1, or greater.

    - #### setCcpTxbx

          @Internal
          public void setCcpTxbx(int field_10_ccpTxbx)

      A signed integer that specifies the count of CPs in the textbox subdocument of the main document. This value MUST be zero, 1, or greater.

    - #### getCcpHdrTxbx

          @Internal
          public int getCcpHdrTxbx()

      A signed integer that specifies the count of CPs in the textbox subdocument of the header. This value MUST be zero, 1, or greater.

    - #### setCcpHdrTxbx

          @Internal
          public void setCcpHdrTxbx(int field_11_ccpHdrTxbx)

      A signed integer that specifies the count of CPs in the textbox subdocument of the header. This value MUST be zero, 1, or greater.

    - #### getReserved4

          @Internal
          public int getReserved4()

      This value is undefined and MUST be ignored.

    - #### setReserved4

          @Internal
          public void setReserved4(int field_12_reserved4)

      This value is undefined and MUST be ignored.

    - #### getReserved5

          @Internal
          public int getReserved5()

      This value is undefined and MUST be ignored.

    - #### setReserved5

          @Internal
          public void setReserved5(int field_13_reserved5)

      This value is undefined and MUST be ignored.

    - #### getReserved6

          @Internal
          public int getReserved6()

      This value MUST be equal or less than the number of data elements in PlcBteChpx, as specified by FibRgFcLcb97.fcPlcfBteChpx and FibRgFcLcb97.lcbPlcfBteChpx. This value MUST be ignored.

    - #### setReserved6

          @Internal
          public void setReserved6(int field_14_reserved6)

      This value MUST be equal or less than the number of data elements in PlcBteChpx, as specified by FibRgFcLcb97.fcPlcfBteChpx and FibRgFcLcb97.lcbPlcfBteChpx. This value MUST be ignored.

    - #### getReserved7

          @Internal
          public int getReserved7()

      This value is undefined and MUST be ignored.

    - #### setReserved7

          @Internal
          public void setReserved7(int field_15_reserved7)

      This value is undefined and MUST be ignored.

    - #### getReserved8

          @Internal
          public int getReserved8()

      This value is undefined and MUST be ignored.

    - #### setReserved8

          @Internal
          public void setReserved8(int field_16_reserved8)

      This value is undefined and MUST be ignored.

    - #### getReserved9

          @Internal
          public int getReserved9()

      This value MUST be less than or equal to the number of data elements in PlcBtePapx, as specified by FibRgFcLcb97.fcPlcfBtePapx and FibRgFcLcb97.lcbPlcfBtePapx. This value MUST be ignored.

    - #### setReserved9

          @Internal
          public void setReserved9(int field_17_reserved9)

      This value MUST be less than or equal to the number of data elements in PlcBtePapx, as specified by FibRgFcLcb97.fcPlcfBtePapx and FibRgFcLcb97.lcbPlcfBtePapx. This value MUST be ignored.

    - #### getReserved10

          @Internal
          public int getReserved10()

      This value is undefined and MUST be ignored.

    - #### setReserved10

          @Internal
          public void setReserved10(int field_18_reserved10)

      This value is undefined and MUST be ignored.

    - #### getReserved11

          @Internal
          public int getReserved11()

      This value is undefined and MUST be ignored.

    - #### setReserved11

          @Internal
          public void setReserved11(int field_19_reserved11)

      This value is undefined and MUST be ignored.

    - #### getReserved12

          @Internal
          public int getReserved12()

      This value SHOULD be zero, and MUST be ignored.

    - #### setReserved12

          @Internal
          public void setReserved12(int field_20_reserved12)

      This value SHOULD be zero, and MUST be ignored.

    - #### getReserved13

          @Internal
          public int getReserved13()

      This value MUST be zero and MUST be ignored.

    - #### setReserved13

          @Internal
          public void setReserved13(int field_21_reserved13)

      This value MUST be zero and MUST be ignored.

    - #### getReserved14

          @Internal
          public int getReserved14()

      This value MUST be zero and MUST be ignored.

    - #### setReserved14

          @Internal
          public void setReserved14(int field_22_reserved14)

      This value MUST be zero and MUST be ignored.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.